%define _requires_exceptions pear(

#Module-Specific definitions
%define mod_name mod_auth_gforge
%define mod_conf A56_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache module for Gforge PostgreSQL auth
Name:		apache-%{mod_name}
Version:	0.5.9.3
Release:	%mkrel 4
Group:		System/Servers
License:	Apache License
URL:		http://gforge.org/
Source0: 	libapache2-mod-auth-gforge-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		libapache2-mod-auth-gforge-0.5.9.3-pgsql.diff
Patch1:		libapache2-mod-auth-gforge-0.5.9.3-apr1x.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= 2.0.54
Requires(pre):	apache-mod_dav_svn
Requires:	apache-conf >= 2.0.54
Requires:	apache >= 2.0.54
BuildRequires:	apache-base
BuildRequires:	apache-conf >= 2.0.54
BuildRequires:	php-cli
Requires:	apache-mod_dav_svn
BuildRequires:	apache-devel >= 2.0.54
BuildRequires:	postgresql-devel
BuildRequires:	subversion-devel
Requires:	subversion
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An apache module for authenticating and authorizing users against information
stored in the Gforge PostgreSQL database.

%prep

%setup -q -n libapache2-mod-auth-gforge-%{version}
%patch0 -p1
%patch1 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%configure2_5x \
    --with-apxs=%{_sbindir}/apxs \
    --with-aprconfig=`if [ -x %{_bindir}/apr-config ]; then echo %{_bindir}/apr-config; else echo %{_bindir}/apr-1-config; fi` \
    --with-pgconfig=%{_bindir}/pg_config \
    --with-subversion-include=`svn-config --includes | awk '{ print $1 }' | sed -e 's/\-I//'` \
    --with-apache-modules=%{_libdir}/apache-extramodules \
    --with-php-binary=%{_bindir}/php \
    --with-apache-user=apache \
    --with-package-version=%{version}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_datadir}/gforge
mv %{buildroot}/usr/lib/gforge/bin %{buildroot}%{_datadir}/gforge/

# cleanup
rm -f %{buildroot}%{_sysconfdir}/httpd/conf.d/zmod_auth_gforge.conf

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TESTS TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gforge/httpd.d/17webdav
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%attr(0755,root,root) %{_datadir}/gforge/bin/committree.sh
%attr(0755,root,root) %{_datadir}/gforge/bin/create_groups.php
%attr(0755,root,root) %{_datadir}/gforge/bin/create_groups_svn.php
%attr(0755,root,root) %{_datadir}/gforge/bin/create_users.php

%changelog
* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.9.3-4mdv2007.0
- rebuild

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.9.3-3mdk
- fix deprecated apr calls (Lutz Gttler)

* Fri Apr 28 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.5.9.3-2mdk
- Fix the apr-config detection

* Fri Mar 24 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.9.3-1mdk
- initial Mandriva package
